Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.def
Class ExceptionHandler

    java.lang.Object
      org.jbpm.graph.def.ExceptionHandler

All Implemented Interfaces:
  java.io.Serializable

    public class ExceptionHandler

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `actions`
`protected java.lang.String` | `exceptionClassName`
`protected GraphElement` | `graphElement`

Constructor Summary
`ExceptionHandler()`

Method Summary
`void` | `addAction(Action action)`
`java.util.List` | `getActions()`
`java.lang.String` | `getExceptionClassName()`
`GraphElement` | `getGraphElement()`
`void` | `handleException(GraphElement graphElement, ExecutionContext executionContext)`
`boolean` | `matches(java.lang.Throwable exception)`
`void` | `removeAction(Action action)`
`void` | `reorderAction(int oldIndex, int newIndex)`
`void` | `setExceptionClassName(java.lang.String exceptionClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptionClassName

    protected java.lang.String exceptionClassName

### graphElement

    protected GraphElement graphElement

### actions

    protected java.util.List actions

Constructor Detail

### ExceptionHandler

    public ExceptionHandler()

Method Detail

### matches

    public boolean matches(java.lang.Throwable exception)

### handleException

    public void handleException(GraphElement graphElement,
                                ExecutionContext executionContext)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getActions

    public java.util.List getActions()

### addAction

    public void addAction(Action action)

### removeAction

    public void removeAction(Action action)

### reorderAction

    public void reorderAction(int oldIndex,
                              int newIndex)

### getExceptionClassName

    public java.lang.String getExceptionClassName()

### setExceptionClassName

    public void setExceptionClassName(java.lang.String exceptionClassName)

### getGraphElement

    public GraphElement getGraphElement()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD